Name:           libgpg-error
Version:        1.35
Release:        3
Summary:        Library for common error values and messages in GnuPG components.
License:        LGPLv2+
URL:            https://www.gnupg.org/ftp/gcrypt/libgpg-error
Source0:        https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.gz
Source1:		https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.gz.sig

Patch0:			0001-fix-regexp-and-buildin-namespace-error-in-gawk.patch

BuildRequires:  gawk, gettext, autoconf, automake, gettext-devel, libtool,  texinfo, gettext-autopoint

%description
The libgpg-error package contains a library that originally defines common error values for all GnuPG components.
Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SCdaemon.
Because Libgpg-error is a common dependency all GnuPG components, more features will be added to this library.

%package        devel
Summary:Development files for libgpg-error
Requires:%{name}%{?_isa} = %{version}-%{release}
Requires(pre): /sbin/install-info
Requires(post): /sbin/install-info

%description    devel
Contains header files and development libraries for libgpg-error.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

sed -i -e 's|^libdir=@libdir@$|libdir=@exec_prefix@/lib|g;s|@GPG_ERROR_CONFIG_HOST@|none|g' src/gpg-error-config.in
sed -i -e 's|sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/lib /usr/lib %{_libdir}|g' configure

%build
%configure --disable-static --disable-rpath --disable-languages
%make_build

%install
%make_install

%find_lang %{name}

%check
make check

%ldconfig_post
%ldconfig_postun

%post devel
[ -f %{_infodir}/gpgrt.info.gz ] && /sbin/install-info %{_infodir}/gpgrt.info.gz %{_infodir}/dir
exit 0

%preun devel
if [ $1 = 0 -a -f %{_infodir}/gpgrt.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/gpgrt.info.gz %{_infodir}/dir
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{!?_licensedir:%global license %%doc}
%license COPYING COPYING.LIB
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.so.0*
%{_datadir}/libgpg-error

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libgpg-error.so
%{_libdir}/pkgconfig/gpg-error.pc
%{_includedir}/gpg*.h
%{_datadir}/aclocal/gpg*.m4
%{_infodir}/gpgrt.info*
%exclude %{_bindir}/gpg-error
%exclude %{_infodir}/dir
%exclude %{_libdir}/*.la

%files help
%defattr(-,root,root)
%{_mandir}/*

%changelog
* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.35-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix gawk error

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.35-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:remove the gpg-error from devel package

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.35-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:updtae to 1.35

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.31-4
- add Requires

* Thu Sep 14 2019 chenzhenyu <chenzhenyu13@huawei.com> - 1.31-3
- Package init
